Page MenuHomePhabricator

Default quote action breaks text between lists
Closed, ResolvedPublic

Description

Whenever I quote a comment that includes a multiple lists with text in between, the rendering has the in-between text indented as a list item (albeit without a bullet) instead of left-aligned like the beginning of the quote.

Original post being quoted:

Foo bar:

* One
* Two

Baz quux: 

* First
* Second

Renders

Foo bar:

  • One
  • Two

Baz quux:

  • First
  • Second

Quoting this produces:

> 
> Foo bar:
> 
> * One
> * Two
> 
> Baz quux: 
> 
> * First
> * Second

Which renders

Foo bar:

  • One
  • Two

Baz quux:

  • First
  • Second

(visual at time of writing)

Note how "Baz quux" is not aligned with "Foo bar".

Event Timeline

Krinkle created this task.Mar 11 2016, 10:51 PM

This one's slightly trickier than T10570 because leading whitespace is semantic in lists.

jdloft removed a subscriber: jdloft.Feb 21 2019, 2:29 AM
epriestley closed this task as Resolved.Apr 27 2019, 5:11 PM
epriestley claimed this task.

I believe this was resolved by D20327 / D20393.